> ## Documentation Index
> Fetch the complete documentation index at: https://agnt.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Named Entity Recognition

> Locate and classify named entities mentioned in text into pre-defined categories such as person names, organizations, locations



## OpenAPI

````yaml /openapi/x.openapi.json get /v1/data/x/ai/named-entity-recognition
openapi: 3.0.0
info:
  title: agntdata X (Twitter) API
  description: >-
    Introducing "The Old Bird" API, a robust Twitter API designed to unlock
    valuable Twitter data effortlessly. With this API, you can access tweet
    details, user followers, followings, post engagements, and more. Explore
    top, latest, videos, photos, and people through our comprehensive search
    functionality. Retrieve user-specific information, including tweets,
    replies, media, likes, and profile details by username or ID.
  version: 1.0.0
  contact:
    name: agntdata
    url: https://agntdata.dev
servers:
  - url: https://api.agntdata.dev
    description: agntdata API
security:
  - ApiKeyAuth: []
tags:
  - name: User
    description: ''
  - name: Search
    description: ''
  - name: Hashtag
    description: ''
  - name: Tweet
    description: ''
  - name: Lists
    description: ''
  - name: Trends
    description: ''
  - name: Translation
    description: Translate Service
  - name: AI
    description: A set of AI related services
paths:
  /v1/data/x/ai/named-entity-recognition:
    get:
      tags:
        - AI
      summary: Named Entity Recognition
      description: >-
        Locate and classify named entities mentioned in text into pre-defined
        categories such as person names, organizations, locations
      operationId: Named_Entity_Recognition_get__ai_named_entity_recognition
      parameters:
        - name: text
          in: query
          required: true
          schema:
            type: string
            default: >-
              Here's my conversation with  @elonmusk , his 4th time on the
              podcast. We talk about war & peace, AI, physics, politics, video
              games, and the future of humanity.  This is episode 400 of the
              podcast. It's been an incredible journey. I'm grateful to Elon for
              his friendship, and I'm grateful for all the kindness and love
              I've gotten from folks along the way. I love you all! ❤ 
              Timestamps: 0:00 - Introduction 0:07 - War and human nature 4:33 -
              Israel-Hamas war 10:41 - Military-Industrial Complex 14:58 - War
              in Ukraine 19:41 - China 33:57 - xAI Grok 44:55 - Aliens 52:55 -
              God 55:22 - Diablo 4 and video games 1:04:29 - Dystopian worlds:
              1984 and Brave New World 1:10:41 - AI and useful compute per watt
              1:16:22 - AI regulation 1:23:14 - Should AI be open-sourced?
              1:30:36 - X algorithm 1:41:57 - 2024 presidential elections
              1:54:55 - Politics 1:57:57 - Trust 2:03:29 - Tesla's Autopilot and
              Optimus robot 2:12:28 - Hardships
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Get_x_ai_named_entity_recognition_Response
              example:
                text: >-
                  Here's my conversation with  @elonmusk , his 4th time on the
                  podcast. We talk about war & peace, AI, physics, politics,
                  video games, and the future of humanity.  This is episode 400
                  of the podcast. It's been an incredible journey. I'm grateful
                  to Elon for his friendship, and I'm grateful for all the
                  kindness and love I've gotten from folks along the way. I love
                  you all! ❤  Timestamps: 0:00 - Introduction 0:07 - War and
                  human nature 4:33 - Israel-Hamas war 10:41 -
                  Military-Industrial Complex 14:58 - War in Ukraine 19:41 -
                  China 33:57 - xAI Grok 44:55 - Aliens 52:55 - God 55:22 -
                  Diablo 4 and video games 1:04:29 - Dystopian worlds: 1984 and
                  Brave New World 1:10:41 - AI and useful compute per watt
                  1:16:22 - AI regulation 1:23:14 - Should AI be open-sourced?
                  1:30:36 - X algorithm 1:41:57 - 2024 presidential elections
                  1:54:55 - Politics 1:57:57 - Trust 2:03:29 - Tesla's Autopilot
                  and Optimus robot 2:12:28 - Hardships
                hash: >-
                  1c74cf5d8f3a74bf132721d8a1bc5b0d2cfed1bc472fed4fe3bae5edb7405be4
                trace_id: c17de6ca-2dd1-4836-87c0-923422f836ff
                entities:
                  - text: elonmusk
                    start_pos: 30
                    end_pos: 38
                    labels:
                      - value: PER
                        confidence: 0.9559685587882996
                  - text: Elon
                    start_pos: 247
                    end_pos: 251
                    labels:
                      - value: PER
                        confidence: 0.9999912977218628
                  - text: Israel-Hamas
                    start_pos: 443
                    end_pos: 455
                    labels:
                      - value: MISC
                        confidence: 0.9833679795265198
                  - text: Military-Industrial Complex
                    start_pos: 468
                    end_pos: 495
                    labels:
                      - value: MISC
                        confidence: 0.9977789223194122
                  - text: Ukraine
                    start_pos: 511
                    end_pos: 518
                    labels:
                      - value: LOC
                        confidence: 0.9999916553497314
                  - text: China
                    start_pos: 527
                    end_pos: 532
                    labels:
                      - value: LOC
                        confidence: 0.9999924898147584
                  - text: xAI Grok
                    start_pos: 541
                    end_pos: 549
                    labels:
                      - value: MISC
                        confidence: 0.999688059091568
                  - text: Aliens
                    start_pos: 558
                    end_pos: 564
                    labels:
                      - value: MISC
                        confidence: 0.9964159727096558
                  - text: God
                    start_pos: 573
                    end_pos: 576
                    labels:
                      - value: PER
                        confidence: 0.792618989944458
                  - text: Diablo 4
                    start_pos: 585
                    end_pos: 593
                    labels:
                      - value: MISC
                        confidence: 0.9999223947525024
                  - text: Brave New World
                    start_pos: 647
                    end_pos: 662
                    labels:
                      - value: MISC
                        confidence: 0.9999440908432008
                  - text: Tesla
                    start_pos: 870
                    end_pos: 875
                    labels:
                      - value: ORG
                        confidence: 0.9999592304229736
                  - text: Autopilot
                    start_pos: 878
                    end_pos: 887
                    labels:
                      - value: MISC
                        confidence: 0.9998629093170166
                  - text: Optimus
                    start_pos: 892
                    end_pos: 899
                    labels:
                      - value: MISC
                        confidence: 0.9992913007736206
                elapsed_time: 0.6088101472705603
      security:
        - ApiKeyAuth: []
components:
  schemas:
    Get_x_ai_named_entity_recognition_Response:
      type: object
      properties:
        text:
          type: string
        hash:
          type: string
        trace_id:
          type: string
        entities:
          type: array
          items:
            type: object
            properties:
              text:
                type: string
              start_pos:
                type: integer
              end_pos:
                type: integer
              labels:
                type: array
                items:
                  type: object
                  properties:
                    value:
                      type: string
                    confidence:
                      type: number
        elapsed_time:
          type: number
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Bearer token. Pass your agntdata API key as: Authorization: Bearer
        agnt_live_...

````